Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types
Class JifMuPClass_c

    java.lang.Object
      polyglot.ext.jl.types.TypeObject_c
          polyglot.ext.param.types.PClass_c
              polyglot.ext.param.types.MuPClass_c
                  jif.types.JifMuPClass_c

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, polyglot.ext.param.types.MuPClass, polyglot.ext.param.types.PClass, polyglot.types.Importable, polyglot.types.Named, polyglot.types.TypeObject, polyglot.util.Copy

    public class JifMuPClass_c

extends polyglot.ext.param.types.MuPClass_c

An implementation of the `JifParsedPolyType` interface.

See Also:
  Serialized Form

Field Summary

Fields inherited from class polyglot.ext.param.types.MuPClass_c
`clazz, formals`

Fields inherited from class polyglot.ext.jl.types.TypeObject_c
`position, ts`

Constructor Summary
`protected` | `JifMuPClass_c()`
`` | `JifMuPClass_c(JifTypeSystem ts, polyglot.util.Position pos)`

Method Summary
`java.util.List` | `formals()`
`java.lang.String` | `toString()`

Methods inherited from class polyglot.ext.param.types.MuPClass_c
`addFormal, clazz, clazz, formals`

Methods inherited from class polyglot.ext.param.types.PClass_c
`fullName, instantiate, isCanonical, name, package_`

Methods inherited from class polyglot.ext.jl.types.TypeObject_c
`copy, equals, equalsImpl, hashCode, position, typeSystem`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ext.param.types.PClass
`instantiate`

Methods inherited from interface polyglot.types.Importable
`package_`

Methods inherited from interface polyglot.types.Named
`fullName, name`

Methods inherited from interface polyglot.types.TypeObject
`equalsImpl, isCanonical, position, typeSystem`

Methods inherited from interface polyglot.util.Copy
`copy`

Constructor Detail

### JifMuPClass_c

    protected JifMuPClass_c()

### JifMuPClass_c

    public JifMuPClass_c(JifTypeSystem ts,
                         polyglot.util.Position pos)

Method Detail

### formals

    public java.util.List formals()

  Specified by:
    `formals` in interface `polyglot.ext.param.types.PClass`
  Overrides:
    `formals` in class `polyglot.ext.param.types.MuPClass_c`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD